<?php
/**
 * Copyright © 2016 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */

// @codingStandardsIgnoreFile

/** @var $block \Magento\Catalog\Block\Product\View */
?>
<?php $_product = $block->getProduct(); ?>
<?php $customHelper = $this->helper('Alogic\Customtheme\Helper\Data'); ?>
<?php $isCouponValid = $customHelper->checkIfCouponValidForProduct($_product); ?>
<?php $buttonTitle = __('Add To Cart'); ?>
<?php if ($_product->isSaleable() && $_product->isAvailable()): ?>

    <?php $themeHelper = $this->helper('MGS\Mpanel\Helper\Data'); ?>

    <div class="box-tocart">
        <?php echo $this->getLayout()
            ->createBlock('Magento\Catalog\Pricing\Render',
                "product.price.final",
                [
                    'data' => [
                        'price_render' => 'product.price.render.default',
                        'price_type_code' => 'final_price',
                        'zone' => 'item_view'
                    ]
                ]
            )
            ->toHtml();
        ?>
        <?php
        if ($isCouponValid) { ?>
            <?php $rule_discount = $customHelper->getProductRule($_product) ?>
            <div class="al_coupon_section">
                <?php echo 'Use code <strong>' . $rule_discount->getData('coupon_code') . '</strong> during checkout to get  <strong>' . ($rule_discount->getData('discount_amount') + 0) . '%</strong> off.'; ?>
            </div>
        <?php } ?>
        <?php echo $this->getLayout()
            ->createBlock('Magento\Framework\View\Element\Template')
            ->setTemplate('Alogic_Customtheme::freeshipping.phtml')
            ->toHtml();
        ?>
        <div class="fieldset">
            <div class="field name-price" style="display: none;">
                <div class="name">
                    <?php echo $_product->getName(); ?>
                </div>
                <div class="price sticky-price">
                    <?php echo $this->getLayout()
                        ->createBlock('Magento\Catalog\Pricing\Render',
                            "product.price.final.mobile",
                            [
                                'data' => [
                                    'price_render' => 'product.price.render.default',
                                    'price_type_code' => 'final_price',
                                    'zone' => 'item_view'
                                ]
                            ]
                        )
                        ->toHtml(); ?>
                </div>
            </div>
            <?php if ($block->shouldRenderQuantity()): ?>
                <div class="field qty">
                    <label class="label" for="qty"><span><?php /* @escapeNotVerified */
                            echo __('Qty') ?></span></label>
                    <div class="control">
                        <span class="edit-qty minus" onclick="minusQty('qty')">-</span>
                        <input type="number"
                               name="qty"
                               id="qty"
                               maxlength="12"
                               value="<?php /* @escapeNotVerified */
                               echo $block->getProductDefaultQty() * 1 ?>"
                               title="<?php /* @escapeNotVerified */
                               echo __('Qty') ?>" class="input-text qty"
                               data-validate="<?php echo $block->escapeHtml(json_encode($block->getQuantityValidators())) ?>"
                        />
                        <span class="edit-qty plus" onclick="plusQty('qty')">+</span>
                    </div>
                </div>
            <?php endif; ?>
            <div class="actions">
                <button type="submit"
                        title="<?php /* @escapeNotVerified */
                        echo $buttonTitle ?>"
                        class="action primary tocart btn btn-primary hvr-wobble-vertical"
                        id="product-addtocart-button">
                    <span><?php /* @escapeNotVerified */
                        echo $buttonTitle ?></span>
                </button>
                <div class="product-info-stock-sku">
                    <div class="stock available"><span><div id="preorderId"></div></span></div>
                </div>
                <?= $block->getChildHtml('', true) ?>
            </div>
        </div>
        <div class="clearfix"></div>
    </div>
<?php endif; ?>
<?php if (!$_product->isSaleable()) : ?>
    <?php echo $this->getLayout()
        ->createBlock('Magento\Framework\View\Element\Template')
        ->setTemplate('Alogic_Customtheme::freeshipping.phtml')
        ->toHtml();
    ?>
<?php endif; ?>
<script type="text/x-magento-init">
    {
        "#product_addtocart_form": {
            "Magento_Catalog/product/view/validation": {
                "radioCheckboxClosest": ".nested"
            }
        }
    }
</script>
<?php if (!$block->isRedirectToCartEnabled()) : ?>
    <script type="text/x-magento-init">
    {
        "#product_addtocart_form": {
            "catalogAddToCart": {
                "bindSubmit": false
            }
        }
    }
    </script>
<?php endif; ?>

<?php if ($block->shouldRenderQuantity()): ?>
    <script type="text/javascript">
        function plusQty(qtyInput) {
            require([
                'jquery'
            ], function (jQuery) {
                (function ($) {
                    if ($('#' + qtyInput).attr('disabled') != 'disabled') {
                        qty = $('#' + qtyInput).attr('value');
                        qty = parseInt(qty);
                        qty++;
                        $('#' + qtyInput).val(qty);
                    }
                })(jQuery);
            });

        }

        function minusQty(qtyInput) {
            require([
                'jquery'
            ], function (jQuery) {
                (function ($) {
                    if ($('#' + qtyInput).attr('disabled') != 'disabled') {
                        qty = $('#' + qtyInput).attr('value');
                        qty = parseInt(qty);

                        if (qty > 1) {
                            qty--;
                            $('#' + qtyInput).val(qty);
                        }
                    }
                })(jQuery);
            });
        }
    </script>
<?php endif; ?>
